FROM 539235198345.dkr.ecr.us-east-2.amazonaws.com/cloudcms/api-server:3.2.88-2025-04-13-19-37-44

MAINTAINER Cloud CMS <support@cloudcms.com>

# copy the custom properties and classes into place
# this includes the license file in the ./classes/gitana/license directory
COPY ./classes/ /opt/tomcat/shared/classes/

# merge our certificate into the truststore
ADD rds-combined-ca-bundle.pem /etc/ssl/rds-combined-ca-bundle.pem
RUN \
    cd $JAVA_HOME/lib/security \
    && keytool -keystore cacerts -storepass changeit -noprompt -trustcacerts -alias mongodb -import -file /etc/ssl/rds-combined-ca-bundle.pem